Skip to content

Jina DeepSearch API

Jina DeepSearch (Grounded Search) provides high-level comprehension of search results. It's designed for complex queries that require deep reasoning over many sources.

POST https://llm.siraya.ai/v1/chat/completions

Body

model string Required
Use `jina-deepsearch-v1`.
messages array Required
Standard messages array containing the user query.
stream boolean
Highly recommended to use `true` as deep reasoning takes time.
reasoning_effort string
`low`, `medium`, or `high` (default: `medium`).
curl https://llm.siraya.ai/v1/chat/completions \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer <API_KEY>" \
  -d '{
    "model": "jina-deepsearch-v1",
    "messages": [{"role": "user", "content": "Explain the current state of Solid State Batteries."}],
    "stream": true
  }'
from openai import OpenAI

client = OpenAI(
    base_url="https://llm.siraya.ai/v1",
    api_key="<API_KEY>"
)

response = client.chat.completions.create(
    model="jina-deepsearch-v1",
    messages=[{"role": "user", "content": "Explain the current state of Solid State Batteries."}],
    stream=True
)

for chunk in response:
    if chunk.choices[0].delta.content:
        print(chunk.choices[0].delta.content, end="", flush=True)